Bug 639902 - mount error(126): Required key not available
mount error(126): Required key not available
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cifs-utils (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 06:07 EDT by Colin Rudakiewicz
Modified: 2014-06-18 03:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 08:20:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Rudakiewicz 2010-10-04 06:07:58 EDT
Description of problem:
# mount.cifs //winserv/folder /mnt -o sec=krb5i,user=Administrator

# klist
Ticket cache: FILE:/tmp/krb5cc_0
Default principal: Administrator@LOCALDOM.COM

Valid starting        Expires     Service principal
10/04/10 10:49:20   10/04/10 20:49:23   krbtgt/LOCALDOM.LOCALDOM.COM
         renew until  10/11/10 10:49:20
10/04/10 10:49:57   10/04/10 20:49:23 winserv$@LOCALDOM.COM
         renew until 10/11/10 10:49:20

NOTE: Last entry created by smbclient -k //winserv/folder

Version-Release number of selected component (if applicable):
3.5.5-68

How reproducible:
mount.cifs //winserv/folder /mnt -o sec=krb5i,user=Administrator

  
Actual results:
mount error(126): Required key not available

Expected results:
mount share windows 2003 folder onto /mnt


Additional info:
Comment 1 Jeff Layton 2010-10-04 06:29:25 EDT
mount.cifs is part of the cifs-utils package. What version of that package do you have?
Comment 2 Jeff Layton 2010-10-04 08:02:07 EDT
Also...does this work any better if you try to mount using the FQDN of the server in the UNC? For instance:

# mount.cifs //winserv.example.com/folder /mnt -o sec=krb5i,user=Administrator
Comment 3 Jeff Layton 2010-12-21 08:20:14 EST
No response to any of my questions. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.